Bug 8801 - Требуется пересборка в связи с новым swig(1.3.27)
: Требуется пересборка в связи с новым swig(1.3.27)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/subversion)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-01-06 19:13 by
Modified: 2006-04-02 15:03 (History)


Attachments
Патч для сборки с 1.3.27 (1.31 KB, patch)
2006-01-06 19:14, Gleb Stiblo
no flags Details | Diff
Патч на спек-файл (747 bytes, patch)
2006-01-06 19:15, Gleb Stiblo
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-06 19:13:35
1. В новом swig окончательно оторваны рантайм библиотеки, соответственно их
нужно вырезать из BuildDeps

2. Для сборки со swig 1.3.27 нужно наложить патч, взятый из дебиана.

Пакет собирается, но так как subversion не использую, то проверить
работоспособность, не могу.

Пересоберите и проверьте, пожалуйста.
Если не заработает, будем думать.
------- Comment #1 From 2006-01-06 19:14:39 -------
Created an attachment (id=1329) [details]
Патч для сборки с 1.3.27
------- Comment #2 From 2006-01-06 19:15:08 -------
Created an attachment (id=1330) [details]
Патч на спек-файл
------- Comment #3 From 2006-01-06 19:17:02 -------
Спасибо, включу в сборку 1.3.0
------- Comment #4 From 2006-01-06 20:08:30 -------
2ulfr: если у вас пакет соберётся, то он как минимум рабочий, поскольку по
умолчанию во время сборки выполняются длительные тесты.
------- Comment #5 From 2006-01-06 20:13:23 -------
Кстати, в 1.3.0 один тест (для FS_TYPE=bdb) валится...
причем при ближайшем рассмотрении видно, что валится не сам тест, а тестовая
программа. т.е. выполняется несколько тестов, и при завершении программы во
время освобождения ресурсов происходит segmentation fault... в апстриме
воспроизвести это не смогли... backtrace показывает во внутренности apr... даж
не знаю пока что делать (докопаться до причины нет времени ):
------- Comment #6 From 2006-01-06 20:16:36 -------
Пакет у меня собрался(1.2.3), при прохождении тестов были:


....
Running all tests in strings-reps-test...success
At least one test was SKIPPED, checking
/home/stiblo/RPM/BUILD/subversion-1.2.3/tests.log
SKIP:  revert_tests.py 2: reverting to corrupt text base should fail
SKIP:  utf8_tests.py 1: conversion of paths and logs to/from utf8
make: Leaving directory `/home/stiblo/RPM/BUILD/subversion-1.2.3'
....

Это нормально?
------- Comment #7 From 2006-01-06 20:19:09 -------
Да, это нормально
------- Comment #8 From 2006-01-07 15:55:29 -------
Если backtrace показывает во внутренности apr, то, возможно, придётся обновлять
apr.
------- Comment #9 From 2006-01-07 16:09:05 -------
Для apr0 (0.9.7) ничего новее нет. apr1-1.2.2 я в сизиф положу, может кому и
пригодится (по крю мере апач2.2 с ним вроде собирается, насчет апача2.0 не в
курсе)...
Около месяца назад пытался навскидку собрать subversion c apr-1.2.2, но тесты
не
прошли :) Хотя тогда я это делал один раз и неправильно :) Попробую как оно
будет сейчас...
------- Comment #10 From 2006-01-08 02:12:58 -------
(In reply to comment #9)
> Для apr0 (0.9.7) ничего новее нет. apr1-1.2.2 я в сизиф положу, может кому и
> пригодится (по крю мере апач2.2 с ним вроде собирается, насчет апача2.0 не в
> курсе)...

В общем, apache2 не собирается с apr1... а собирать subversion с apr1 имея апач,
собранный с apr0, пока что рука не поднимается...
------- Comment #11 From 2006-04-02 15:03:48 -------
Исправлено